# Generated by Django 4.0.3 on 2023-06-01 19:23

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('hats_rest', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='LocationVO',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('shelf_number', models.PositiveSmallIntegerField(null=True)),
                ('closet', models.CharField(max_length=100, null=True)),
                ('section', models.PositiveSmallIntegerField(null=True)),
                ('href', models.CharField(max_length=100, unique=True)),
            ],
        ),
        migrations.AlterField(
            model_name='hat',
            name='location',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='hats', to='hats_rest.locationvo'),
        ),
        migrations.DeleteModel(
            name='HatVO',
        ),
    ]
